%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-three-merge
Version:       0.1.1
Release:       2mamba
Summary:       Simple Python library to perform a 3-way merge between strings, based on diff-match-patch
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/three-merge/
Source:        https://pypi.debian.net/three-merge/three-merge-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(diff-match-patch)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n three-merge-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Sun Feb 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-2mamba
- rebuilt with distdeps

* Wed Jan 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-1mamba
- package created using the webbuild interface
